{% extends "layout.html.j2" %}

{% block page_title %}Gruppe {{ group.name }}{% endblock %}

{% block main %}

<section>
  <div class="container">
    <nav class="breadcrumb" aria-label="breadcrumbs">
      <ul>
        <li><a href="/groups">Gruppen</a></li>
        <li class="is-active"><a href="/groups/{{ group.id }}" aria-current="page">{{ group.name }}</a></li>
      </ul>
    </nav>
  </div>
</section>

<section class="hero is-primary">
  <div class="hero-body">
    <div class="container">
      <h1 class="title">#{{ group.id }} {{ group.name }}</h1>
    </div>
    <div class="container">
    </div>
  </div>
</section>

<section class="section">
  <div class="container">
    <nav class="level">
      <div class="level-item has-text-centered">
        <div>
          <p class="heading">Kontakt</p>
          <p class="title">{{ group.mail }}</p>
        </div>
      </div>
      <div class="level-item has-text-centered">
        <div>
          <p class="heading">Erstellt am</p>
          <p class="title">{{ group.created_at | date("%Y-%m-%d %H:%M") }}</p>
        </div>
      </div>
      <div class="level-item has-text-centered">
        <div>
          <p class="heading">Verwaltung</p>
          <p class="title"><a href="{{ group.manage_path }}" class="button is-link">Verwaltungslink</a></p>
        </div>
      </div>
    </nav>
  </div>
</section>

<section class="section">
  <div class="container">
    <table class="table is-fullwidth is-hoverable">
      <thead>
        <tr>
          <th style="width: 1em;" class="has-text-right">#</th>
          <th style="width: 1em;" class="has-text-right">ID</th>
          <th style="width: 9em;">Bibelstelle</th>
          <th style="min-width: 25%;">Titel</th>
          <th class="has-text-centered">Level</th>
          <th>Beschriftungen</th>
          <th>Autor</th>
          <th>Zugeordnet am</th>
        </tr>
      </thead>
      <tbody>
        {% for pericope in pericopes %}
          <tr>
            <td class="has-text-right">{{ loop.index }}</td>
            <td class="has-text-right"><span class="pericope-id">{{ pericope.pericope_id }}</span></td>
            <td>
              {{ pericope }}
            </td>
            <td>{{ pericope.title }}</td>
            <td class="has-text-centered has-text-weight-bold">
              {% set level_modifiers = {'1': 'is-link', '2': 'is-info', '3': 'is-primary', '4': 'is-success', '5': 'is-warning'} %}
              <span class="tag is-rounded {{ level_modifiers[pericope.level] }}">{{ pericope.level }}</span>
            </td>
            <td>
              <div class="tags">
                {% for label in pericope.labels %}
                  <span class="tag">{{ label }}</span>
                {% endfor %}
              </div>
            </td>
            <td>{{ pericope.author }}</td>
            <td>{{ pericope.assigned_at | date("%Y-%m-%d %H:%M") }}</td>
          </tr>
        {% else %}
          <tr>
            <td></td>
            <td colspan="8"><em>Keine Perikopen</em></td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</section>
<section class="section" style="background: #f4f4f4;">
  <div class="container">
    <h1 class="title">Neue Perikope zuordnen</h1>
    <p></p>
  </div>
  <div class="container">
    <div class="field">
      <label class="label">Schwierigkeit</label>
      <div class="buttons has-addons">
        <a href="/groups/{{ group.id }}?level=any" class="button{% if level == 'any' %} is-info{% endif %}">Egal</a>
        <a href="/groups/{{ group.id }}?level=1" class="button{% if level == '1' %} is-info{% endif %}">1</a>
        <a href="/groups/{{ group.id }}?level=2" class="button{% if level == '2' %} is-info{% endif %}">2</a>
        <a href="/groups/{{ group.id }}?level=3" class="button{% if level == '3' %} is-info{% endif %}">3</a>
        <a href="/groups/{{ group.id }}?level=4" class="button{% if level == '4' %} is-info{% endif %}">4</a>
        <a href="/groups/{{ group.id }}?level=5" class="button{% if level == '5' %} is-info{% endif %}">5</a>
      </div>
      <p></p>
    </div>
  </div>
  <div class="container">
    <table class="table is-fullwidth is-hoverable">
      <thead>
        <tr>
          <th style="width: 1em;" class="has-text-right">#</th>
          <th style="width: 9em;">Bibelstelle</th>
          <th style="min-width: 25%;">Titel</th>
          <th class="has-text-centered">Level</th>
          <th>Beschriftungen</th>
          <th>Autor</th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        {% for pericope in pericope_suggestions %}
          <tr>
            <td class="has-text-right">{{ loop.index }}</td>
            <td>
              {{ pericope }}
            </td>
            <td>{{ pericope.title }}</td>
            <td class="has-text-centered has-text-weight-bold">
              {% set level_modifiers = {'1': 'is-link', '2': 'is-info', '3': 'is-primary', '4': 'is-success', '5': 'is-warning'} %}
              <span class="tag is-rounded {{ level_modifiers[pericope.level] }}">{{ pericope.level }}</span>
            </td>
            <td>
              <div class="tags">
                {% for label in pericope.labels %}
                  <span class="tag">{{ label }}</span>
                {% endfor %}
              </div>
            </td>
            <td>{{ pericope.author }}</td>
            <td>
              <form method="post" action="/groups/{{ group.id }}/pericopes">
                <input type="hidden" name="pericope_id" value="{{ pericope.id }}" />
                <button class="button is-primary is-small">Zuordnen</button>
              </form>
            </td>
          </tr>
        {% else %}
          <tr>
            <td></td>
            <td colspan="8"><em>Keine Perikopen</em></td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</section>

{% endblock %}
